Welkom bij SpyBot - Search & Destroy

SpyBot - Search & Destroy
Freeware, ©'2000-2002 Patrick Michael Kolla

SpyBot – Search and Destroy doorzoekt je harde schijf op verschillende soorten internet bedreigingen – inclusief spy- en adware, keyloggers and je gebruikssporen (bijvoorbeeld je browser pagina historie). SpyBot – S&D kan ook sommige interne systeem-problemen repareren.

SpyBot-S&D biedt ook wat hulpprogramma’s, zoals de Secure Shredder, aan.

Licentie
Waarom freeware? Daarop is een simpel antwoord. Wat krijg je als je een programma koopt? Een heleboel enen en nullen. Dat is alles. En als deze nu als kunst verkocht zouden worden verkocht, zou ik het nog snappen om ervoor te moeten betalen. Maar als het belangrijkste doel van dat soort mensen slechts het verdienen van geld – door verkopen of advertenties – is, dan hou ik daar niet van!
En daarom is dit programma gratis. Maar als je het leuk vindt en het heeft je geholpen dan vraag ik je maar een ding: bid voor me naar je eigen god – of waar je ook maar in gelooft – en wens me wat geluk toe.

Benodigde Soft- en Hardware
Uiteraard heb je een 32bit Windows, zoals Windows 95, 98, ME, NT, 2000 of XP, nodig. Ongeveer 2 Megabytes aan vrije ruimte op je harde schijf zijn ook noodzakelijk.

Gebruik
Start het programma door te dubbelklikken op het bestand SpyBotSD.exe in het directory waarin je het archive uitgepakt hebt. Als dit de eerste keer is dat je SpyBot – Search&Destroy gebruikt dan zal je gevraagd worden of je een desktop icoon en/of een start menu item wilt creëren.

Hierna zit je al in het programma!

Als je meer informatie wilt lees dan verder over scannen.


Product informatie

In deze sectie kun je meer informatie vinden over de problemen die SpyBot-S&D aanpakt. Als je vanuit de resultatenlijst komt dan kan het probleem dat je zoekt al geselecteerd zijn. Zo niet, dan kun je de pulldown lijst gebruiken om een te selecteren.

De informatie, die getoond wordt, laat alleen URL’s zien, maar sommige van deze URL’s kunnen direct een (ActiveX) download starten. Je kunt ze niet openen met behulp van de standaard dubbelklik. Doe, in plaats daarvan, een rechtsklik ergens in het infoveld en selecteer de URL die je wilt bezoeken. Maar doe dit alleen als je zeker weet dat je browser is ingesteld op safe settings/veilige instellingen.

Je kunt ook besluiten een product uit te sluiten van verdere zoekslagen door gebruik te maken van de checkbox bovenaan de Bot Info sectie (dit heeft dezelfde werking als het aankruisen van een product in de Sluit uit sectie).

Je kunt de Product (Bot) informatie vinden door Bot Info te kiezen in de Info & Licentie sectie in de toolbar aan de rechterzijde.


Over spyware

Wat is spyware? Eenvoudig gezegd is spyware software, die persoonlijk identificeerbare informatie verzendt van je computer naar een andere plaats zonder dat je dat weet.

Spyware is gewoonlijk niet het product dat je wilde installeren, maar kleine add-ons (bijproducten), die je wel of niet kunt accepteren gedurende de installatie. Vaak heeft de EULA wel een paar regels over privacy zaken, maar gebruikers zullen gewoonlijk die complete EULA niet doorlezen en zullen nooit weten dat ze spyware op hun systeem hebben.

Een wat minder bedreigende soort is adware. Adware is gelijk aan spyware, maar verzendt geen persoonlijk identificeerbare informatie, alhoewel de ontvanger belooft deze niet te verkopen. In plaats daarvan wordt samengevoegde gebruiksinformatie verzameld voor statistische doeleinden.

Adware is ook vaak een side-effect van spyware, omdat beiden je in de gaten houden voor een doel – het toezenden van advertenties die speciaal op jou is afgestemd.

Een andere vorm die onder spyware wordt gerekend zijn de tracking cookies. Cookies worden overal op Internet gebruikt voor nuttige en nutteloze toepassingen. Reclame bedrijven plaatsen vaak een cookie wanneer je browser een banner van hen inlaadt. In zo'n geval en wanneer dat cookie een GUID bevat, krijgt het bedrijf een bericht van iedere site, die hun advertenties bevat, die je bezoekt.


Over system internals/interne systeem instelling

Het windows register bevat veel informatie. Zijn toestand kan worden gecontroleerd met goede commerciële programma's Symantec™ System Works. Maar er zijn wat kleine dingetjes die ik mis bij die programma's. Hier zoekt SpyBot-S&D naar:

  • Vermiste help bestanden – Het register bevat informatie over de locatie van sommige help bestanden. Wanneer die informatie naar onjuiste directories verwijst, zal SpyBot-S&D dat tonen en je in staat stellen dat te repareren.

  • Vermiste shared DLLs – Het register bevat een lijst van dynamic link libraries, wat hun locatie is en hoeveel programma's hen gebruiken. SpyBot-S&D controleert of alle locaties correct zijn en stelt je in staat dat te veranderen wanneer dat niet het geval is.

  • Applicatie paden – Sommige applicaties (veelal die welke geregistreerd zijn naar een bestands-extentie) zijn geregistreerd in het register. Als ze verwijzen naar een niet langer bestaand programma, dan kan SpyBot-S&D hun pad veranderen of hun entry verwijderen.

  • Verkeerde Uninstall informatie – Ieder programma dat zijn eigen uninstall-routine heeft bewaart wat informatie daarover in het register. Wanneer die informatie niet juist is, bijvoorbeeld doordat het uninstall programma in een tijdelijk directorie is geplaatst (er zijn veel programma's die zo stom zijn!), dan zal SpyBot-S&D dat laten weten (en een verandering in toekomstige versies mogelijk maken).

  • Verbroken Desktop Links – Wanneer een van de links op je desktop verwijst naar een bestand dat niet langer bestaat dan zal SpyBot-S&D dat laten weten en je in staat stellen de link naar een ander bestand te later verwijzen of hem te verwijderen.

Waarschuwing: Pas wel op dat veranderingen aan deze items je systeem in de war kunnen sturen! Als je niet zeker weet of een instelling echt een probleem is, laat het dan maar zitten!

Vooral Microsoft Office™ heeft enkele register entries die verwijzen naar de verkeerde directories en sommigen verwijzen zelfs naar niet bestaande help bestanden. Ik heb de eerstgenoemde veranderd, maar ik zou de laatstgenoemde niet verwijderen omdat ze best kunnen verwijzen naar bestanden, die geïnstalleerd kunnen worden op basis van ‘Install on first use'.


Gebruikssporen

Gebruikssporen zijn je vingerafdrukken in je systeem. Iedere keer wanneer je een pagina bezoekt met je browser, of alleen maar een bestand opent, wordt die informatie diep in Windows opgeslagen. Vaak is dat wel nuttig -als je datzelfde bestand weer wilt openen dan kun je dat vanuit de lijst selecteren in plaats van de hele bestandsnaam opnieuw in te tikken of je hele zoekstructuur opnieuw te doorzoeken.

Maar in sommige gevallen wil je je activiteiten verborgen houden omdat spyware en internet-aanvallers die informatie zouden kunnen gebruiken. Spybot-S&D kan sommige van de belangrijkste en meest gebruikte sporen van je systeem verwijderen.


Het instellen van de basisopties

Alle belangrijke instellingen zijn in een boom in deze sectie opgenomen. De beschrijving die volgt is gesorteerd via de belangrijkste takken van die boom.

Installatie

Deze sectie stelt je in staat de desktop icoon en/of het startmenu item toe te voegen of te verwijderen.

SpyBot-S&D Instellingen

Deze opties zouden voor zichzelf moeten spreken.

Automatisering

SpyBot-S&D heeft twee vormen van automatiseringsinstellingen – bij systeem start en bij programma start. Hier kun je instellen of je het programma wilt laten starten als je Windows opstart, of je het automatisch naar updates wilt laten zoeken, of de scan van het systeem voor een bepaalde tijd wilt uitstellen, of totdat andere programma’s (scanners) zijn beëindigd.

Log bestand instellingen

SpyBot-S&D kan details van iedere scan wegschrijven naar tekstbestanden. Hier kun je selecteren of je dit wilt doen, of de gegevens en de tijd in een de bestandsnaam moeten worden opgenomen, of ze moeten worden bijgevoegd, of dat het logbestand moet worden overschreven.

Look & Feel

Je kunt een paar details in het uiterlijk van SpyBot-S&D veranderen. Probeer de opties en bekijk wat je het leukst vindt.

Bug Report

Als je niet zeker bent van bepaalde problemen dan kun je een bug rapport naar PepiMK Software zenden. Deze sectie gaat over hoe de mailing zou moeten gaan. In ieder geval zou je de systeem-informatie en scan-resultaten moeten bijvoegen in het bug rapport (je kunt ze vooraf bekijken voor de verzending). Bovendien, indien je dezelfde mail wilt ontvangen als die naar PepiMK Software wordt verzonden, kun je aangegeven dat een kopie naar jezelf wordt verzonden (je moet hiervoor wel de SMTP instellingen veranderen – zie de Bug Rapport hulp).

Je kunt de hoofd-instellingen vinden door Instellingen vanuit de Instellingen sectie te kiezen in de toolbar aan de linkerzijde.


Kiezen van de interface taal

Spybot-S&D gebruikt externe bestanden voor de taalondersteuning. Iedereen kan dus een taal-bestand schrijven voor zijn eigen taal. Neem contact op met PepiMK Software voor ondersteuning als je dat wilt gaan doen – je zult daarmee geen geld verdienen, maar slechts eeuwigdurende roem ;)

Normaal worden alle beschikbare talen in de lijst getoond. Maar als je een taal wilt verwijderen (of later weer wilt toevoegen) vanuit de display, dan kun je het context menu of de lijst gebruiken om dat te doen.

De kunt de taal instelling vinden door Talen te kiezen vanuit de Instellingen sectie in de toolbar aan de linkerzijde.


Kiezen wat te scannen (bestandsinstellingen)

SpyBot-S&D gebruikt het concept van include (invoeg) bestanden om het meer flexibel te houden. Ieder include (invoeg) bestand is een bestand dat de beschrijving van een probleem bevat dat Spybot-S&D kan detecteren of repareren.

Deze bestanden zijn verdeeld in categorieën, waardoor je kunt kiezen wat je wilt detecteren gedurende de scan.

De voornaamste categorien zijn de spy- en adware, systeem problemen en gebruikssporen. Voor iedere categorie kun je include (invoeg) bestanden tegenkomen. Ze bevatten een korte beschrijving over wat ze doen, en het aantal bestanden, register entries en directories die zullen worden gecheckt.

Je kunt kiezen welke include (invoeg) bestanden je wilt gebruiken voor je volgende scan door het hokje daarnaast aan te kruisen.

Als je een include (invoeg) bestand met schuine letters ziet, dan is het niet eentje die van PepiMK Software afkomstig is. Daar het format van de include (invoeg) bestanden openbaar is, kan iedereen include (invoeg) bestanden schrijven. Maar include (invoeg) bestanden kunnen een hoop schade aanrichten in je systeem en PepiMK Software kan niet instaan voor een vreemd include (invoeg) bestand en daarom wordt je gevraagd of je het echt zeker weet of je het bestand wilt gebruiken wanneer het niet afkomstig is van PepiMK Software.

Je kunt de bestandinstellingen vinden door Bestandinstellingen te kiezen vanuit de Instellingen sectie in de toolbar aan de linkerzijde.


Kiezen wat niet te scannen (Uitsluitingen)

Op dit moment zijn er vier verschillende uitsluit-secties:

Product uitsluitingen

Deze sectie toont alle producten, die intern en in de externe include (invoeg) bestanden gedefinieerd zijn. Als je een compleet product wilt uitsluiten, of het weer wilt invoegen, selecteer het bestand vanuit deze sectie en kruis het hokje voor dit product aan.

Cookie uitsluitingen

Cookies zijn gebruikssporen, maar je zou enkele nuttige cookies kunnen willen behouden. Deze sectie toont alle cookies die op dit moment op je systeem zitten. Dit stelt je in staat om hen van volgende zoekslagen uit te sluiten. (Op dit moment worden alleen cookies van Internet Explorer en Netscape Navigator ondersteund – Opera cookies kunnen alleen volledig worden verwijderd).

Extensie uitsluitingen

Dit gaat over het gewone windows bestand open dialog. Het bewaart lijsten van geopende (en bewaarde) bestanden, verdeeld in extensies. Als je, bijvoorbeeld, geen WinWord bestanden wilt verwijderen, dan zou je .doc kunnen kiezen om uitgesloten te worden in deze sectie.

Enkelvoudige uitsluitingen

Als je niet een compleet product wilt uitsluiten, maar slechts een enkel bestand of register-instelling van dat product, dan kun je deze kiezen vanuit de resultatenlijst. Ze worden hier getoond. Je kunt ze ook weer van de sluit uit lijst verwijderen.

Alle lijsten in deze secties hebben een context menu met uitgebreide zoek-opties.

Je kunt de uitsluit-instellingen vinden door een categorie te kiezen vanuit Sluit uit sectie in de toolbar aan de linkerzijde.


Het instellen van de download directories

Sommige scans pakken ook de installatie-bestanden of problemen, die ontdekt zijn door SpyBot-S&D, aan. Installers, die de gebruiker beslist moet downloaden zullen alleen gescand worden in de directories, die in deze lijst zijn ingevoerd.

Je kunt, of sommige directories vanuit een Explorer window slepen, of het context menu gebruiken om directories van de lijst toe te voegen of te verwijderen.

Je kunt de download directories vinden door Directories te kiezen vanuit de Instellingen sectie in de toolbar aan de linkerzijde.


Kiezen van een skin ('huid')

Spybot-Search&Destroy ondersteunt het concept van skins om het programma aan persoonlijke kleur-voorkeuren te kunnen aanpassen.

De Skin sectie toont je een lijst van beschikbare skins. Selecteer eentje om deze vooraf te bekijken. De (erg simpele) preview wordt vertoond in de linkerzijde van het schermpje met wat informatie daaronder en het logo van die skin onderaan de pagina.

Als de skin je bevalt, druk dan op de Pas toe knop.

Je kunt de skin instellingen vinden door Skins te kiezen vanuit de Instellingen sectie in de toolbar aan de linkerzijde.


Het scannen van je systeem

Wanneer je SpyBot-S&D gestart hebt kun je onmiddellijk met scannen beginnen.

Nadat het je het programma gestart hebt zul je al het scan-scherm zien. Indien dit niet het geval is kies dan Search & Destroy vanuit de SpyBot-S&D sectie in de toolbar aan de linkerzijde.

Het zoekscherm bevat een toolbar met de meest belangrijke opties. Laten we met een scan beginnen: druk op de Check alles knop.

Je zult onder in het scherm de voortgang van de scan kunnen zien (de meest rechtse sectie laat de resterende tijd zien), en je kunt de voortgang op ieder moment stoppen door op de Stop check knop te drukken die zojuist is verschenen (hij verdwijnt weer wanneer de check is beëindigd).

Wanneer de scan iets gevonden heeft, dan zal de lijst dit vertonen. Er zijn drie soorten resultaten.

  • Rode verwijzingen duiden op spyware problemen die gerepareerd zouden moeten worden om veiligheids- dan wel privacy-problemen te voorkomen. Dit is het enige soort probleem dat vooraf geselecteerd is om te worden gerepareerd.

  • Zwarte verwijzingen zijn systeem internals/interne systeemproblemen. Als je niet weet wat dat zijn, dan stel ik voor om er met je vingers af te blijven of het support forum te bezoeken.

  • Groene verwijzigen duiden op gebruikssporen. Het kan geen kwaad om deze te verwijderen.

Voor de meeste problemen is informatie beschikbaar. Als je een probleem in de lijst selecteert dan is de knop Beschrijving van dit probleem in de meeste gevallen wel beschikbaar. Druk erop om te lezen wat voor soort bedreiging je hebt gevonden.

Je kunt nu de problemen selecteren die je wilt repareren door het hokje aan te vinken, ofwel door op de knop Markeer alle problemen te drukken. Meer selectie-opties zijn beschikbaar als je in het contextmenu kijkt (door een rechtsklik op het probleem te geven). Het contextmenu stelt je ook staat om enkelvoudige problemen of totale producten uit te sluiten van toekomstige scans (je kunt later de sluit uit instelling veranderen vanuit de Sluit uit sectie).

Wanneer je er zeker van bent dat wat je hebt geselecteerd ook daadwerkelijk van je computer kan worden verwijderd druk dan op de Repareer alle problemen knop. Je kunt de voortgang van de reparaties zien in de statusbar aan de onderzijde.

Als problemen niet direct kunnen worden gerepareerd (omdat ze nog ingeladen zijn en niet kunnen worden beëindigd), stelt SpyBot-S&D voor om een scan uit te voeren wanneer het systeem opnieuw wordt opgestart, zodat je opnieuw kunt checken en repareren.

Mocht je later tot de ontdekking komen dat je meer spyware hebt verwijderd dan dat je bedoeling was dan kun je het altijd terugzetten vanuit de Herstel sectie.

Je kunt ook je scan opties 'finetunen' door het selecteren van speciale bestandsinstellingen en het veranderen van sommige instellingen.


Recovery (Herstel)

De Herstel sectie is beschikbaar door Herstel te kiezen vanuit de Spybot-S&D sectie in de toolbar aan de linkerzijde.

De sectie heeft ook een beweegbare toolbar gelijk aan die van Search & Destroy sectie.

Als je in het verleden sommige spyware-problemen hebt gerepareerd, zal deze lijst dat tonen. Hier kun je een of meer problemen (zie ook het context menu voor uitgebreide selectie-opties) aanpakken. Of herstel ze, of verwijder ze permanent van je systeem.


Updaten

Om grote downloads te voorkomen en meer flexibiliteit te krijgen is de meeste scan informatie opgenomen in include (invoeg) bestanden.

Include (invoeg) bestanden, maar ook de nieuwere hulpbestanden, nieuwe talen, ge-update beschrijvingen, etc, kunnen worden gedownload door gebruik te maken van de geïntegreerde update-functie.

Druk op de Zoek naar updates knop. Deze zal een lijst van beschikbare updates downloaden van een PepiMK Software server en zal deze vergelijken met de bestanden die al op je systeem geïnstalleerd zijn. Nieuwe bestanden zullen in een lijst getoond worden, waarna je deze kunt selecteren om vervolgens op de Download updates knop te kunnen drukken. Gedurende de download zal ieder bestand dat geheel gedownload is een groen vinkje krijgen.

Als je eerst wat over de updates wilt lezen, druk dan op de Lees nieuws online knop of bezoek het support forum.

Je kunt de update functie vinden door Update te kiezen vanuit de Online sectie in de toolbar aan de linkerzijde.


Rapporteer een bug

Je moet dit alleen als een laatste redmiddel moeten gebruiken. Zoek eerste naar nieuwere versies, lees de FAQ (vaak gestelde vragen) en bezoek het forum.

Als dat alles niet heeft geholpen om je problemen op te lossen, dan mag je een bug rapport schrijven.Als dit de eerste keer is dat je een bug rapport schrijft, moet je wellicht je mail-instellingen aanpassen. Kies de knop Mail settings, en verander deze in de jouwe. De dialoog, die tevoorschijn komt, stelt je in staat alle noodzakelijke gegevens in te voeren. Als je Outlook of Outlook Express gebruikt kun je zelfs je instellingen importeren, en je zult alleen maar je wachtwoord hoeven in te voeren.

Indien de mail-instellingen correct zijn, druk je op de Next knop. Een nieuw scherm zal verschijnen. Deze stelt je in staat je bug-beschrijving in te voeren, het automatisch opgemaakte rapport te bekijken, en bestanden toe aan de mail toe te voegen. Wanneer je dat allemaal hebt gedaan en gecheckt hebt dat alles correct is, dan kun je op de Send knop drukken om de mail te verzenden.

Je kunt meer bug rapportage opties vinden in de hoofd-instellingen.

Je kunt de bug rapportage functie vinden door Bug Rapportage te kiezen via de Online sectie in de toolbar aan de linkerzijde.


Opt out van advertentiediensten

Als je je in het verleden per ongeluk ooit hebt ingeschreven op een dienst van sommige adverteerders en je weet niet hoe daarvan af kunt komen, dan kun je geluk hebben wanneer deze adverteerder in deze lijst staat. Dubbelklik op het adres om, of de website te bezoeken, of een opt out e-mail te verzenden (je kunt het verschil zien aan het icoontje dat voor de twee mogelijkheden staat).

Je kunt de Opt out lijst vinden door Opt Out te kiezen vanuit de Online sectie in de toolbar aan de linkerzijde.


Secure shredder (veilige versnipperaar) hulpprogramma

De secure shredder is een hulpwerktuig om bestanden totaal te versnipperen, zonder enige kans op herstel.

Versnipperen is simpel – Stop enkele bestanden vanuit explorer in de lijst (of voeg sommige toe door gebruik te maken van het contextmenu van de lijst) selecteer het aantal versnipperingen, en druk op de knop Versnipper het!

Eventuele gebruikssporen, die zich in bestanden bevinden, zullen ook met dit hulpprogramma vijf keer worden versnipperd.

De eerste vijf versnipperingen gebruiken een vooraf vastgesteld bit-patroon, die zelf hardware-herstel onmogelijk zou moeten maken. Iedere volgende keer maakt gebruik van een random bit-patroon dat iedere paar bytes verandert.
Pas op: één keer is niet genoeg om een bestand te versnipperen omdat de koppen van de harddisk nooit 100.00% van hetzelfde spoor zullen raken. Er zijn kleine verschillen van een paar µm die professionals in staat stellen om zelfs overgeschreven data te reconstrueren. Daarom zijn meervoudige versnipperingen noodzakelijk, en waarom verschillende patronen zouden moeten worden gebruikt.

Waarschuwing: Dit hulpprogramma is ontworpen om bestanden zo te verwijderen dat ze niet kunnen worden hersteld! Houdt dat in de gaten als je het programma gebruikt.

Disclaimer: Ik heb mijn best gedaan om alles te versnipperen wat aan dit hulpprogramma wordt gegeven. Maar ik kan nooit garanderen dat bestanden onherstelbaar worden vernietigd.

Je kunt het secure shredder hulpprogramma door secure shredder te kiezen vanuit de hulpprogramma sectie aan de linkerzijde.


Dump trash hulpwerktuig

Tot mijn spijt hebben sommige oudere versies van SpyBot S&D register-sleutels gemaakt, die alleen zouden moeten worden gecheckt of ze bestonden. Als je SpyBot S&D 0.90 tot 0.94 hebt gebruikt zou je dit hulpwerktuig moeten gebruiken.

Druk allereerst op de Check voor sleutels knop. Dit kan lang duren en zal een lijst maken van alle sleutels die per ongeluk zijn gemaakt. Je kunt ze verwijderen door op de knop Verwijder sleutels te drukken. Alleen lege (ongebruikte) sleutels worden op de lijst gezet dus je hoeft niet bang te zijn dat een sleutel, die per ongeluk in het verleden gemaakt is, maar nu gebruikt wordt op de lijst komt en zal worden verwijderd.

Je hoeft dit hulpwerktuig maar een keer te gebruiken, tenzij je weer van plan bent een oudere versie van SpyBot S&D te gebruiken (wat je uiteraard niet moet doen).

Je kunt het Dump Trash hulpwerktuig vinden door op de Dump trash knop te drukken vanuit de Hulpwerktuig sectie in de toolbar aan de linkerzijde.